Summary: 	A file compression utility.
Name: 		bzip2
Version: 	1.0.3
Release: 	1
Copyright: 	BSD
Group: 		Libraries
URL: 		http://sources.redhat.com/bzip2/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities 
of the best techniques available.  However, bzip2 has the added benefit 
of being approximately two times faster at compression and six times 
faster at decompression than those techniques.  Bzip2 is not the 
fastest compression utility, but it does strike a balance between speed 
and compression capability.

Install bzip2 if you need a compression utility.

%package 	devel
Summary: 	Header files and libraries for developing apps which will use bzip2.
Group: 		Development

%description 	devel
Header files and a static library of bzip2 functions, for developing apps
which will use the library.

%prep
%setup -q 

%build
make -f Makefile-libbz2_so CFLAGS="$CFLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make PREFIX=$RPM_BUILD_ROOT/usr install
ln -sf libbz2*.so.*.*.* $RPM_BUILD_ROOT/usr/lib/libbz2.so
cp -a libbz2*so* $RPM_BUILD_ROOT/usr/lib
cp -p bzlib_private*.h $RPM_BUILD_ROOT/usr/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/*
%{_libdir}/*so.*
%{_libdir}/*so

%files devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.a
